Module ij
Package ij.plugin.tool

# Class MacroToolRunner

java.lang.Object
ij.plugin.tool.PlugInTool
ij.plugin.tool.MacroToolRunner

All Implemented Interfaces:
  `PlugIn`

public class MacroToolRunner extends PlugInTool

## Constructor Summary

Constructors
Constructor
Description
`MacroToolRunner(MacroInstaller installer)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMacroCount()`
`Program`
`getMacroProgram()`
`void`
`runMacroTool(String name)`
These methods are overridden by MacroToolRunner.
`void`
`runMenuTool(String name, String command)`

### Methods inherited from class ij.plugin.tool.PlugInTool

`getToolIcon, getToolName, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, run, showOptionsDialog, showPopupMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MacroToolRunner

public MacroToolRunner(MacroInstaller installer)

## Method Details

### runMacroTool

public void runMacroTool(String name)
Description copied from class: `PlugInTool`
These methods are overridden by MacroToolRunner.

Overrides:
  `runMacroTool` in class `PlugInTool`

### runMenuTool

public void runMenuTool(String name, String command)

Overrides:
  `runMenuTool` in class `PlugInTool`

### getMacroProgram

public Program getMacroProgram()

Overrides:
  `getMacroProgram` in class `PlugInTool`

### getMacroCount

public int getMacroCount()